Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.monitor.model
Class TCPIPDetailModel

    java.lang.Object
      com.stc.connector.tcpip.monitor.model.TCPIPDetailModel

Direct Known Subclasses:
  TCPIPHL7DetailModel

    public class TCPIPDetailModel

extends java.lang.Object

Field Summary
`protected javax.management.ObjectName` | `objectName`
`protected java.lang.String` | `objectNameStr`
`protected java.lang.String` | `previousExtSystemConnStatus`
`protected java.lang.String` | `previousLastReceiveOperationTimestamp`
`protected java.lang.String` | `previousLastSendOperationTimestamp`

Constructor Summary
`TCPIPDetailModel(java.lang.String objectNameStr)`

Method Summary
`boolean` | `detailsHaveChanged()`
`protected java.lang.Object` | `getAttribute(java.lang.String attributeName)`
`java.util.HashMap` | `getDetailModelAsMap()`
`java.lang.String` | `getExtSystemConnStatus()`
`java.lang.String` | `getLastReceiveOperationTimestamp()`
`java.lang.String` | `getLastSendOperationTimestamp()`
`void` | `updatePreviousDetailsToCurrentDetails()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectNameStr

    protected java.lang.String objectNameStr

### objectName

    protected javax.management.ObjectName objectName

### previousLastSendOperationTimestamp

    protected java.lang.String previousLastSendOperationTimestamp

### previousLastReceiveOperationTimestamp

    protected java.lang.String previousLastReceiveOperationTimestamp

### previousExtSystemConnStatus

    protected java.lang.String previousExtSystemConnStatus

Constructor Detail

### TCPIPDetailModel

    public TCPIPDetailModel(java.lang.String objectNameStr)

Method Detail

### getDetailModelAsMap

    public java.util.HashMap getDetailModelAsMap()
                                          throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### getLastSendOperationTimestamp

    public java.lang.String getLastSendOperationTimestamp()
                                                   throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### getLastReceiveOperationTimestamp

    public java.lang.String getLastReceiveOperationTimestamp()
                                                      throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### getExtSystemConnStatus

    public java.lang.String getExtSystemConnStatus()
                                            throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### updatePreviousDetailsToCurrentDetails

    public void updatePreviousDetailsToCurrentDetails()
                                               throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### detailsHaveChanged

    public boolean detailsHaveChanged()
                               throws TCPIPModelException

  Throws:
    `TCPIPModelException`

### getAttribute

    protected java.lang.Object getAttribute(java.lang.String attributeName)
                                     throws TCPIPModelException

  Throws:
    `TCPIPModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD